summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rwxr-xr-xautogen.sh6
-rw-r--r--configure.ac4
2 files changed, 8 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index 9e6da0a..04357c4 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -12,6 +12,12 @@ FILE=mixlib
DIE=0
+echo "Generating ChangeLog..."
+touch ChangeLog
+(git log --summary --stat > ChangeLog) || {
+ echo "Error generating ChangeLog. The file won't be up to date."
+}
+
grep "^AM_GNU_GETTEXT" $srcdir/configure.ac >/dev/null && {
(gettext --version) < /dev/null > /dev/null 2>&1 || {
echo
diff --git a/configure.ac b/configure.ac
index 2b5794e..7af9c48 100644
--- a/configure.ac
+++ b/configure.ac
@@ -149,7 +149,7 @@ AC_REPLACE_FUNCS(getopt_long)
AC_SUBST(AM_CFLAGS)
-AC_CONFIG_FILES(
+AC_CONFIG_FILES([
Makefile
doc/Makefile
doc/img/Makefile
@@ -164,7 +164,7 @@ samples/Makefile
samples/tests/Makefile
po/Makefile.in
intl/Makefile
-)
+])
AC_OUTPUT